# This module contains the various ActorSystemBase implementations
# upon which the ActorSystem operates.

from thespian.actors import ActorAddress
from addressManager import *
from thespian.system.messages.status import *
from thespian.system.messages.convention import *
import datetime

def timePeriodSeconds(basis, other=None):
    if isinstance(basis, datetime.datetime):
        if isinstance(other, datetime.datetime):
            return timePeriodSeconds(other - basis)
    if isinstance(basis, datetime.timedelta):
        try:
            return basis.total_seconds()
        except AttributeError:
            # Must be Python 2.6... which doesn't have total_seconds yet
            return (basis.days * 24.0 * 60 * 60) + basis.seconds + (basis.microseconds / 1000.0 / 1000)
    raise TypeError('Cannot determine time from a %s argument'%str(type(basis)))
