"""Verify Actor Status behavior.

The ThespianStatus request can be sent to any Actor in the system to
retrieve internal information about that Actor.

Note that these messages are internal to Thespian and not generally
available or useable, so they are not in the thespian/actors.py
definition file.

"""

import unittest
from datetime import datetime, timedelta
import time
import thespian.test.helpers
from thespian.actors import *
from thespian.system.messages.status import *
from thespian.test import ActorSystemTestCase

import datetime


class TestActor(Actor):

    def receiveMessage(self, msg, sender):
        print('TestActor got %s from %s'%(str(msg), str(sender)))


class TestASimpleSystem(ActorSystemTestCase):

    def testGetStatsFromIdlePrimaryActor(self):
        aS = ActorSystem()
        aa = aS.createActor(TestActor)
        rsp = aS.ask(aa, Thespian_StatusReq())
        print(str(rsp))
        self.assertIsInstance(rsp, Thespian_ActorStatus)


#until multiprocess system works on Windows
import os
if os.name!='nt':
    class TestMultiProcessingSystem(TestASimpleSystem):
        def setUp(self):
            self.setSystemBase('multiprocessSystemBase')

